CutePDF Editor requires Adobe Flash Player version 11.1.0 or greater to be installed.
If Flash Player is installed on your system, please ensure it is enabled in your Browser's settings.